//-< STDINC.H >------------------------------------------------------*--------*
// GOODS                     Version 1.0         (c) 1997  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
//                                                                   *  /  \  *
//                          Created:      5-May-97    K.A. Knizhnik  * / [] \ *
//                          Last update:  9-May-97    K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Database storage server
//-------------------------------------------------------------------*--------*

#ifndef __STDINC_H__
#define __STDINC_H__

#ifdef _WIN32
#include <windows.h>
#pragma warning(disable:4800 4355 4146 4291)
#endif

#ifdef CHECK_FOR_MEMORY_LEAKS
#ifdef _WIN32
#define NEW  new (_NORMAL_BLOCK, __FILE__, __LINE__)
#define _CRTDBG_MAP_ALLOC 
#include <crtdbg.h>
#else
#define NEW new
#undef CHECK_FOR_MEMORY_LEAKS // not supported at otyher platforms yet
#endif
#else
#define NEW new
#endif

#include "stdtp.h"
#include "config.h"
#include "support.h"
#include "console.h"
#include "task.h"

#endif
