/*
 * $Id: $
 */
package com.neurothemis.xmlswarm.dom;

import org.w3c.dom.Comment;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * PersistentComment implementation of w3c Comment
 *
 * @author Guillaume BINET <gbin@netcourrier.com>
 * @version $Revision: $
 */
public class PersistentComment extends PersistentCharacterData implements Comment
{
  public PersistentComment(Document doc, String name)
  {
     super(doc, Node.COMMENT_NODE, name);
  }

  public String getNodeName()
  {
     return "#Comment";
  }



}

