/*
 * $Id: $
 */
package com.neurothemis.xmlswarm.dom;

import org.w3c.dom.DocumentType;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * PersistentDocumentType implementation of w3c DocumentType
 *
 * @author Guillaume BINET <gbin@netcourrier.com>
 * @version $Revision: $
 */
public class PersistentDocumentType extends PersistentNode implements DocumentType 
{
  public PersistentDocumentType(Document doc, String name)
  {
     super(doc, Node.DOCUMENT_TYPE_NODE, name);
  }
   
  public String getName()
  {
     return getNodeName(); // To confirm
  }
  
  public NamedNodeMap getEntities()
  {
     return null;
  }
  
  public NamedNodeMap getNotations()
  {
     return null;
  }
}

