/*
 * $Id: $
 */
package com.neurothemis.xmlswarm.dom;

import org.w3c.dom.EntityReference;
import org.w3c.dom.Node;
import org.w3c.dom.Document;

/**
 * PersistentEntityReference implementation of w3c EntityReference
 *
 * @author Guillaume BINET <gbin@netcourrier.com>
 * @version $Revision: $
 */
public class PersistentEntityReference extends PersistentNode implements EntityReference 
{
   public PersistentEntityReference(Document doc, String name)
   {
      super(doc, Node.ENTITY_REFERENCE_NODE, name);
   }
}
