package com.neurothemis.xmlswarm.test;

import goodsjpi.Persistent;
import goodsjpi.Database;
import com.neurothemis.xmlswarm.dom.*;
import com.neurothemis.xmlswarm.parser.Parser;
import org.w3c.dom.*;
import java.io.FileInputStream;

public class Test
{
   public static void main(String[] argv)
   {
      Database db = new Database();

      try
      {


         String cfgName = "db\\xmlswarm.cfg";



         if(db.open(cfgName))
         {
            Document root = PersistentDocument.getRoot(db);


            Parser p = new Parser();

            p.parse (new FileInputStream(argv[0]),root);

            System.out.println((PersistentDocument) root);

         }
         else
         {
            System.out.println("Failed to open database");

         }
      }
      catch(Exception e)
      {
         e.printStackTrace();
      }

      db.close();
   }   
}


