//-< SunWeakHashTable.java >-----------------------------------------*--------*
// GOODS                      Version 2.0        (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created:     10-Oct-2000  K.A. Knizhnik  * / [] \ *
//                          Last update: 10-Oct-2000  K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Weak hash table based on sun.misc.Cache
//-------------------------------------------------------------------*--------*

package goodsjpi.weak;

public class SunWeakHashTable extends sun.misc.Cache implements goodsjpi.ObjectCache {     
    public boolean remove(int oid) { 
	return super.remove(new Integer(oid)) != null;
    }

    public void put(int oid, Object obj) { 
	super.put(new Integer(oid), obj);
    }

    public Object get(int oid) { 
	return super.get(new Integer(oid));
    }    

    public void clear() {}
}
    
