//-< EXCEPTION.H >---------------------------------------------------*--------*
// GOODS                     Version 1.0         (c) 1997  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
//                                                                   *  /  \  *
//                          Created:     17-Oct-99    K.A. Knizhnik  * / [] \ *
//                          Last update: 17-Oct-99    K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Base class for all exception which can be raise during database session
// When such exeption is raised and not handle within methods of
// persistent capable object, current transaction is aborted.
//-------------------------------------------------------------------*--------*

class dbException { 
  public:
    static int stackUnwindCount;
    dbException() { 
	stackUnwindCount += 1;
    }
    dbException(dbException const& x) { 
	stackUnwindCount += 1;
    }
    ~dbException() { 
	stackUnwindCount -= 1;
    }
};


