/*
 * $Id: $
 */
package com.neurothemis.xmlswarm.dom;

import org.w3c.dom.CDATASection;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * CDATASectionImpl implementation of w3c CDATASection
 *
 * @author Guillaume BINET <gbin@netcourrier.com>
 * @version $Revision: $
 */

public class PersistentCDATASection extends PersistentText implements CDATASection 
{
   public PersistentCDATASection(Document doc, String name)
   {
      super(doc, Node.CDATA_SECTION_NODE, name);
   }
}

