/*
 * $Id: $
 */
package com.neurothemis.xmlswarm.dom;

import org.w3c.dom.Entity;
import org.w3c.dom.Node;
import org.w3c.dom.Document;

/**
 * PersistentEntity implementation of w3c Entity
 *
 * @author Guillaume BINET <gbin@netcourrier.com>
 * @version $Revision: $
 */
public class PersistentEntity extends PersistentNode implements Entity 
{
  public PersistentEntity(Document doc, String name)
  {
     super(doc, Node.ENTITY_NODE, name);
  }

   public String getPublicId()
  {
     return null;
  }
  
  public String getSystemId()
  {
     return null;
  }
  
  public String getNotationName()
  {
     return null;
  }
}

