/*
 * $Id: $
 */
package com.neurothemis.xmlswarm.dom;

import org.w3c.dom.Notation;
import org.w3c.dom.Document;
import org.w3c.dom.Node;


/**
 * PersistentNotation implementation of w3c Notation
 *
 * @author Guillaume BINET <gbin@netcourrier.com>
 * @version $Revision: $
 */
public class PersistentNotation extends PersistentNode implements Notation 
{
   public PersistentNotation(Document doc, String name)
   {
      super(doc, Node.NOTATION_NODE, name);
   }

   public String getPublicId()
   {
      return null;
   }

   public String getSystemId()
   {
      return null;
   }
}

