//-< ObjectCache.java >----------------------------------------------*--------*
// GOODS                      Version 2.0        (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created:     10-Oct-2000  K.A. Knizhnik  * / [] \ *
//                          Last update: 10-Oct-2000  K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Interface for weak object cache
//-------------------------------------------------------------------*--------*

package goodsjpi;

public interface ObjectCache { 
    public boolean remove(int oid);
    public void put(int oid, Object obj);
    public Object get(int oid);
    public void clear();
    public int size();
}
