# -*- makefile -*-
# Main makefile for Windows.
#--------------------------------------------------------------------


library: 
	cd src
	make
	cd ..
tests:
	cd examples
	make
	cd ..
jar:
	cd java
	make
	cd ..

all: library tests jar

clean:
	cd src
	make clean
	cd ..\examples
	make clean
	cd ..\java
	make clean
	cd ..

cleanall: clean
	-del /q *~,lib\*
	-del /q bin\*


zip: cleanall
	cd ..
	-del /q goods.zip
        zip -r goods.zip goods

copyzip: zip
	copy goods.zip a:



